//
// file :         fb_thread.h
//
// description :  reading thread
//
// project :      TANGO Device Server
//
// copyleft :   Sincrotrone Trieste S.C.p.A.
//              Strada Statale 14 - km 163,5 in AREA Science Park
//              34012 Basovizza, Trieste ITALY
//

#ifndef FB_THREAD_H_
#define FB_THREAD_H_

#include <omnithread.h>
#include <tango.h>
#include "TopupSB.h"

class fb_thread : public omni_thread, public Tango::LogAdapter 
{	
	private:
		TopupSB_ns::TopupSB *myfb;
		//int ReadValue(string);
		
		void abort_sleep(double time);

				
	public:
		
		fb_thread(TopupSB_ns::TopupSB *s);
		~fb_thread();					
	protected:
		void run(void *);
		
};	/* end class fb_thread() */

#endif /*FB_THREAD_H_*/
